/******************************************************************
*  源程序名：ModelTask6_1_1.cpp                  　　　　　　      *
*  功能：从键盘输入一个字符串，输出其中所有小写字母。要求对小写字　*
*        母的判断用子函数int islower ( char ch ) 实现。　          *
*******************************************************************/
#include <iostream.h>
int islower(char ch);//函数原型声明
void main()
{
	char str[256];//定义一个较大的数组，用于存放输入字符串
	int i=0;//用于控制数组下标
	cout<<"请输入一个字符串（长度小于255）：";//自动加'\0'
	cin>>str; //字符数组可以进行整体输入
	cout<<"字符串中的小写字母如下：";
	while (str[i]!='\0')//长度不一定为255，用字符串结束标志控制循环
	{
		if (islower(str[i])==1)//调用islower()函数进行判断
			cout<<str[i];//是小写字母输出
		i++;//下标加1，判断下一个字符
	}
	cout<<endl;
}
int islower(char ch)//作为判断是否为小写字母的标识
{
	int flag; //用于返回值
	if (ch>='a' && ch<='z')
		flag=1;
	else
		flag=0;
	return flag;//返回值
}